%global pypi_name num2words

Name:           python-%{pypi_name}
Version:        0.5.4
Release:        1%{?dist}
Summary:        Python 2 modules to convert numbers to words

License:        LGPLv2+ 
URL:            https://github.com/savoirfairelinux/num2words
Source0:        https://files.pythonhosted.org/packages/source/n/%{pypi_name}/%{pypi_name}-%{version}.tar.gz

BuildArch:      noarch

%description
Convert numbers to words in multiple languages, it is a library that 
converts numbers like ``42`` to words like ``forty-two``. 
It supports multiple languages (English, French, Spanish, German and Lithuanian)
and can even generate ordinal numbers like ``forty-second`` 

%package -n python2-%{pypi_name}
Summary:        Python 3 modules to convert numbers to words
Group:          Development/Libraries
BuildRequires:  python2-devel
BuildRequires:  python-setuptools
%{?python_provide:%python_provide python2-%{pypi_name}}

%description -n python2-%{pypi_name}
Convert numbers to words in multiple languages, it is a library that
converts numbers like ``42`` to words like ``forty-two``.
It supports multiple languages (English, French, Spanish, German and Lithuanian)
and can even generate ordinal numbers like ``forty-second`` for Python 2.
%{?python_provide:%python_provide python2-%{pypi_name}}

%package -n python3-%{pypi_name}
Summary:        Python 3 modules to convert numbers to words
Group:          Development/Libraries
BuildRequires:  python3-setuptools
BuildRequires:  python3-devel
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
Convert numbers to words in multiple languages, it is a library that 
converts numbers like ``42`` to words like ``forty-two``. 
It supports multiple languages (English, French, Spanish, German and Lithuanian)
and can even generate ordinal numbers like ``forty-second`` for Python 3.

%prep
%setup -q -n %{pypi_name}-%{version}
# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info

rm -rf %{py3dir}
cp -a . %{py3dir}

%build
%py2_build

pushd %{py3dir}
%py3_build
popd

%install
%py2_install

pushd %{py3dir}
%py3_install
popd

%files -n python2-%{pypi_name}
%doc README.rst
%license COPYING
%{python2_sitelib}/%{pypi_name}
%{python2_sitelib}/%{pypi_name}-%{version}-py?.?.egg-info

%files -n python3-%{pypi_name}
%doc README.rst
%license COPYING
%{python3_sitelib}/%{pypi_name}
%{python3_sitelib}/%{pypi_name}-%{version}-py?.?.egg-info

%changelog
* Thu Jan 12 2017 William Moreno <williamjmorenor@gmail.com> - 0.5.4-1
- Update to v0.5.4

* Mon Dec 19 2016 Miro Hrončok <mhroncok@redhat.com> - 0.5.3-11
- Rebuild for Python 3.6

* Tue Jul 19 2016 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.5.3-10
- https://fedoraproject.org/wiki/Changes/Automatic_Provides_for_Python_RPM_Packages

* Tue Feb 09 2016 William Moreno <williamjmorenor@gmail.com> - 0.5.3-9
- Fix depencies for python2 subpackage

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.5.3-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Sat Nov 21 2015 Kalev Lember <klember@redhat.com> - 0.5.3-7
- Add missing provides/obsoletes to the python2 subpackage

* Tue Nov 17 2015 William Moreno Reyes <williamjmorenor at gmail.com> - 0.5.3-6
- Diferent directories for py2 and py3

* Tue Nov 10 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.5.3-5
- Rebuilt for https://fedoraproject.org/wiki/Changes/python3.5

* Wed Sep 16 2015 William Moreno Reyes <williamjmorenor at gmail.com> - 0.5.3-4
- Update python macros
- Include subpackages for python 2 and 3

* Thu Jun 18 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.5.3-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Tue Jun 09 2015 Fedora <williamjmorenor@gmail.com> 
- 0.5.3-2
- Fix requires python3 for python2 package

* Tue Jun 09 2015 Fedora <williamjmorenor@gmail.com> 
- 0.5.3-1
- Update to 0.5.3 release

* Wed Jun 03 2015 William Moreno Reyes <williamjmorenor at gmail.com> 
- 0.5.2-6
- Initial importing of #1223623

* Tue Jun 02 2015 William Moreno Reyes <williamjmorenor at gmail.com> 
- 0.5.2-5
- Exclude test files

* Tue Jun 02 2015 William Moreno Reyes <williamjmorenor at gmail.com> 
- 0.5.2-4
- Move test files under the %%{pypi_name} directory
- Include test files in a devel package
- Fix %%license tag

* Sat May 30 2015 William Moreno Reyes <williamjmorenor at gmail.com>
- 0.5.2-3
- Add suport for Pyhton3
- Use %%license file from Github
- Include test files in package

* Fri May 29 2015 William Moreno Reyes <williamjmorenor at gmail.com> 
- 0.5.2-2
- Remove /test after %%check

* Thu May 21 2015 William Moreno Reyes <williamjmorenor at gmail.com> 
- 0.5.2-1
- Initial package.
